<!DOCTYPE html>
<html>
	<body>
		<p>Click the button to solve the question 4 solution.</p>
		<button onclick="rotateMatrix()">matrix rotation with 90 angle</button>
		<p id="demo"></p>

		<script>
			function rotateMatrix() {
				var n;
                var i,j;
				var output = "";
				var test_case = prompt("Please enter no of test case : ");
				for(p=0;p<test_case;p++) {
					n = +(prompt(`Please enter size of matrices for ${p+1} test: `));
                    var array = new Array(n);
                    for(i=0;i<n;i++)
                    {
                        array[i] = new Array(n);
                        for(j=0;j<n;j++)
                        {
                            array[i][j] = +(prompt(`Please enter [${i}][${j}] element for ${p+1} test:`));
                        }
                    }
                    for(i=0;i<n/2;i++){
                        for(j=i;j<n-i-1;j++){
                            var temp = array[i][j];
                            array[i][j] = array[j][n-1-i];
                            array[j][n-1-i] = array[n-1-i][n-1-j];
                            array[n-1-i][n-1-j] = array[n-1-j][i];
                            array[n-1-j][i] = temp;
                        }
                    }
                    output += `Your ${p+1} rotated matrix : `+array+"<br><br><br>";
				}	
				document.getElementById("demo").innerHTML = output;
			}
		</script>

	</body>
</html>